<template>
    <div class="answer payment-details">
        <div class="padding full-table">
            <div class="row top-row">
                <div class="columns five">Место покупки</div>
                <div class="columns two">Дата</div>
                <div class="columns two">Сумма</div>
                <!--<div class="columns two">Срок</div>-->
                <div class="columns two">К оплате</div>
                <div class="columns one">

                </div>
            </div>
        </div>
        <hr/>
        <div class="padding">
            <div class="row details-row" v-for="(sale, index) in item.sales">
                <div class="columns five">
                    <span class="adaptive-show">Магазин</span> {{sale.shop.name}}
                </div>
                <div class="columns two"><span class="adaptive-show">Дата покупки</span>
                    {{$dayjs(item.date).format('DD.MM.YYYY')}}
                </div>
                <div class="columns two"><span class="adaptive-show">Сумма</span> {{item.amount}} &#8381;</div>
                <!--<div class="columns two"><span class="adaptive-show">Срок</span> 10 мес.</div>-->
                <div class="columns two"><span class="adaptive-show">К оплате</span> {{sale.amount|currency}} &#8381;
                </div>
                <div class="columns one adaptive-right" v-if="!history">
                    <span class="adaptive-show">Оплатить</span>
                    <div :class="checkbox(sale.selected)" @click="check(sale)"></div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
  export default {
    name: 'schedulePaymentDetails',
    props: {
      item: {
        type: Object,
        required: true,
      },
      history: {
        type: Boolean,
        required: false,
        default: false,
      }
    },
    created () {

    },

    methods: {
      checkbox(selected) {
        return {
          [selected ? 'checkbox-active' : 'checkbox']: true
        }
      },

      check (sale) {
        sale.selected = !sale.selected;
        this.$store.commit("SET_PAYMENT", {
          type: "installment_payment",
          amount: this.getAmount()
        })
      },

      getAmount() {
        let amount = 0;
        this.item.sales.forEach((item) => {
          if(item.selected) {
            amount += item.amount;
          }
        });
        return amount;
      }
    }
  }
</script>

<style scoped lang="scss">
    .answer {
        display: block !important;
        &.payment-details {
            & .top-row {
                color: #989898;
                font-size: 14px;
                padding: 10px 0;
            }
        }
    }

    .answer {
        .details-row {
            color: #323c47;
            font-size: 18px;
            font-weight: 400;
        }
        .adaptive-show {
            color: #989898;
            font-size: 14px;
            width: 110px;
            float: left;
            line-height: 30px;
            font-weight: normal;
        }
    }

</style>